Bug 443308 - Text brush is broken
Summary: Text brush is broken
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Microsoft Windows Microsoft Windows
: NOR crash
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
: 443451 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-10-04 15:42 UTC by til.schmitter
Modified: 2021-10-08 08:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
broken brush (4.47 KB, image/png)
2021-10-04 15:42 UTC, til.schmitter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description til.schmitter 2021-10-04 15:42:38 UTC
Created attachment 142146 [details]
broken brush

git e1569de

WHAT HAPPENED
- i tried selecting a brush with a custom brush tip in the list which caused an access violation and crashed krita.
- this was after letting krita adjust the resource folder.
- the brush still works in the old version: 4.4.3 alpha (git 0202832)
- the brush preview in the brush presets dock seems to have lost its alpha channel in the new version.

HOW TO REPRODUCE
i created a new brush preset with the same texture and it worked so it seems to be a problem with only this brush preset. note that it was created with krita 4.4.3 alpha (git 0202832) or earlier, i don't remember exactly when.

i will attach the broken brush preset


SOFTWARE/OS VERSIONS
Windows 10

CRASHLOG
-----------------------------------------------------------------------
Error occurred on Monday, October 4, 2021 at 17:12:04.

krita.exe caused an Access Violation at location 00007FF9A46FF960 in module libkritaresources.dll Reading from location 0000000000000000.

AddrPC           Params
00007FF9A46FF960 00000000005FA3F0 00000000005FA3B0 00000000005FA3E0  libkritaresources.dll!0x4f960 KisMemoryStorage::resourceMd5+0xa0
00007FF9A46D4B55 0000000035F189E0 00007FF991F511E0 0000000000000006  libkritaresources.dll!0x24b55 KisResourceStorage::resourceMd5+0x15
00007FF9A46CB180 0000000022A18A50 00007FF991C60000 000000001AF94E90  libkritaresources.dll!0x1b180 KisResourceLocator::addResource+0x2d0
00007FF9A46CB6A7 0000000035D4B840 0000000000D80000 00000000005FA6C0  libkritaresources.dll!0x1b6a7 KisResourceLocator::loadRequiredResources+0x177
00007FF9A46CBE70 00000000005FA740 00007FF992189068 0000000016337A00  libkritaresources.dll!0x1be70 KisResourceLocator::resource+0x6d0
00007FF9A46CC71A 000000000A8FEB70 00007FF9A4768870 0000000016337A00  libkritaresources.dll!0x1c71a KisResourceLocator::resourceForId+0x4a
00007FF9A46D9E60 00007FF9A4768540 FFFFFFFFFFFFFFFE 000000000A8FF730  libkritaresources.dll!0x29e60 KisAllResourcesModel::resourceForIndex+0xf0
00007FF9A46DADBD 0000000000000002 00000000005FA958 0000000000000020  libkritaresources.dll!0x2adbd KisResourceModel::resourceForIndex+0x8d
00007FF9A46E275D 0000000000000000 FFFFFFFFFFFFFFFF 00000000005FA9F0  libkritaresources.dll!0x3275d KisTagFilterResourceProxyModel::resourceForIndex+0x8d
00007FF991278469 0000000000000018 00000000005FAB50 00000000005FAB50  libkritaresourcewidgets.dll!0x8469 KisResourceItemChooser::resourceFromModelIndex+0x59
00007FF99127A2ED 00000000005FAA10 00007FF991D7AA78 00000000005FAB50  libkritaresourcewidgets.dll!0xa2ed KisResourceItemChooser::activate+0x3d
00007FF991272E99 0000000000000080 000000000A8FF320 00000000195BC550  libkritaresourcewidgets.dll!0x2e99 KisResourceItemChooser::qt_static_metacall+0x1c9
00007FF991DD9298 00000000193C6180 00000000005FAB50 00007FF991271FB0  Qt5Core.dll!0x229298 QMetaObject::activate+0x7b8
00007FF9912717BA 0000000200000003 00007FF9BD5DB3C7 0000000000CD0000  libkritaresourcewidgets.dll!0x17ba KisResourceItemListView::currentResourceChanged+0x2a
00007FF99127B3FC 00000000005FAD78 00000000005FAC40 0000000035D5BFA8  libkritaresourcewidgets.dll!0xb3fc KisResourceItemListView::selectionChanged+0x5c
00007FF991272151 0000000000000010 00000000367933B0 0000000036791490  libkritaresourcewidgets.dll!0x2151 KisResourceItemListView::qt_static_metacall+0x1a1
00007FF991DD9298 0000000019556CB0 00007FF991D7C08D 000000001950AAD0  Qt5Core.dll!0x229298 QMetaObject::activate+0x7b8
00007FF991D7BDA5 0000000019556CB0 000000003679D010 0000000000000037  Qt5Core.dll!0x1cbda5 QItemSelectionModel::emitSelectionChanged+0x695
00007FF991D7F198 FFFFFFFFFFFFFFFF 0000000000000000 0000000000000000  Qt5Core.dll!0x1cf198 QItemSelectionModel::select+0x218
00007FF990D83155 00000000005FB098 00007FF9BC427A75 0000000000000000  Qt5Widgets.dll!0x253155 QListView::setSelection+0x4f5
00007FF990D5129A 00000000005FB300 000000000004B412 0000000000000003  Qt5Widgets.dll!0x22129a QAbstractItemView::mousePressEvent+0x3ea
00007FF990B76A5F 00007FF900000003 0000000000070419 0000800500008005  Qt5Widgets.dll!0x46a5f QWidget::event+0xa7f
00007FF990C0A0BE 00000000005FB420 0000000000000000 0000000000000000  Qt5Widgets.dll!0xda0be QFrame::event+0x1e
00007FF990D55FCE 00000000195BD308 000000006AA182C0 0000000080000359  Qt5Widgets.dll!0x225fce QAbstractItemView::viewportEvent+0x1ce
00007FF99127B51E 0000000036791660 0000000000D80000 00007FF991ACF1C0  libkritaresourcewidgets.dll!0xb51e KisResourceItemListView::viewportEvent+0x3e
00007FF991DAC850 00000000005FFB80 0000000000000002 00000000193C6C80  Qt5Core.dll!0x1fc850 QCoreApplication::applicationVersionChanged+0x1a0
00007FF990B37BC5 0000000015981420 00000000005FB968 0000001C00000032  Qt5Widgets.dll!0x7bc5 QApplicationPrivate::notify_helper+0x75
00007FF990B3F75B 0000000000000000 00007FF991BD259F 0000000000000000  Qt5Widgets.dll!0xf75b QApplication::notify+0xedb
00007FF98FFD3356 0000000000000000 3FF0000000000000 C092F00000000000  libkritaui.dll!0x373356 KisApplication::notify+0x16
00007FF991DADF48 0000000000000000 0000000000000000 3FF0000000000000  Qt5Core.dll!0x1fdf48 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FF990B3E028 0000000005E856A0 00000000005FB9D0 00000000005FB9E8  Qt5Widgets.dll!0xe028 QApplicationPrivate::sendMouseEvent+0x208
00007FF990B8A8DD 00000000027EEEE0 00007FF991DAC751 00000000165B46D0  Qt5Widgets.dll!0x5a8dd QDesktopWidget::qt_metacall+0x26fd
00007FF990B8D65B 00000000005FFB80 00000000025F3730 0000000000000001  Qt5Widgets.dll!0x5d65b QDesktopWidget::qt_metacall+0x547b
00007FF990B37BEC 00000000027EEEE0 00007FF991DAC850 00000000367917E0  Qt5Widgets.dll!0x7bec QApplicationPrivate::notify_helper+0x9c
00007FF990B3EB9E 00007FF991B22578 00007FF991BD259F 000000002AB1B820  Qt5Widgets.dll!0xeb9e QApplication::notify+0x31e
00007FF98FFD3356 0000000021722D10 00007FF9915CA9E4 0000000000000000  libkritaui.dll!0x373356 KisApplication::notify+0x16
00007FF991DADF48 0000000036791A50 00007FF9BD5D47B1 0000000000000000  Qt5Core.dll!0x1fdf48 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FF9915B6E64 0000000000000000 0000000000D80000 00007FF991BD37E0  Qt5Gui.dll!0x36e64 QGuiApplicationPrivate::processMouseEvent+0x674
00007FF9915B8305 00000000027E9F60 0000000002884860 0000000000160BB8  Qt5Gui.dll!0x38305 QGuiApplicationPrivate::processWindowSystemEvent+0x105
00007FF991590DD0 0000000000000401 0000000000160BB8 0000000000389000  Qt5Gui.dll!0x10dd0 QWindowSystemInterface::sendWindowSystemEvents+0x370
00007FF991E087AA 0000000000000000 0000000000000001 0000000000000001  Qt5Core.dll!0x2587aa QEventDispatcherWin32Private::sendTimerEvent+0x60a
00007FF9BC57E7E8 00000000027E9F60 00007FF991E082D0 0000000000160BB8  USER32.dll!0xe7e8 UserCallWinProcCheckWow+0x2f8
00007FF9BC57E229 00007FF991E082D0 00000000005FC660 0000000000000000  USER32.dll!0xe229 DispatchMessageWorker+0x249
00007FF991E07C4B 0000000002884860 0000000000000024 00000000025F3C90  Qt5Core.dll!0x257c4b QEventDispatcherWin32::processEvents+0x5cb
000000006A8FF715 0000000000000080 0000000000000014 0000000035CD1A50  qwindows.dll!0x7f715 qt_plugin_instance+0x2a25
00007FF991DABF2F 00007FF9FFFFFF01 000000000BFCAC70 000000002AB2CCD0  Qt5Core.dll!0x1fbf2f QEventLoop::exec+0x13f
00007FF991DB51A7 00007FF991C59970 00007FF992E11D30 0000000000000008  Qt5Core.dll!0x2051a7 QCoreApplication::exec+0x77
00007FF9921E513C 0000000000000001 0000000002553ED0 0000000140007970  krita.dll!0x513c krita_main+0x247c
00000001400013C7 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x13c7 __tmainCRTStartup+0x247
00000001400014CB 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x14cb WinMainCRTStartup+0x1b
00007FF9BC0A7034 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!0x17034 BaseThreadInitThunk+0x14
00007FF9BD602651 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!0x52651 RtlUserThreadStart+0x21

0000000140000000-0000000140048000 krita.exe   	5.1.0.0
00007FF9BD5B0000-00007FF9BD7A5000 ntdll.dll   	6.2.19041.1202
00007FF9BC090000-00007FF9BC14E000 KERNEL32.DLL	6.2.19041.1202
00007FF9BB050000-00007FF9BB319000 KERNELBASE.dll	6.2.19041.1202
00007FF9BC8C0000-00007FF9BC95E000 msvcrt.dll  	7.0.19041.546
00007FF9921E0000-00007FF992888000 krita.dll
0000000061440000-000000006145A000 libgcc_s_seh-1.dll
00007FF9A8600000-00007FF9A8663000 libKF5ConfigCore.dll
00007FF9A8480000-00007FF9A84D7000 libKF5I18n.dll
00007FF991BB0000-00007FF9921DE000 Qt5Core.dll 	5.12.11.0
00007FF991580000-00007FF991BA3000 Qt5Gui.dll  	5.12.11.0
00007FF9BCE40000-00007FF9BCEEC000 ADVAPI32.dll	6.2.19041.1052
00007FF9BC540000-00007FF9BC56B000 GDI32.dll   	6.2.19041.1202
00007FF9BC280000-00007FF9BC31B000 sechost.dll 	6.2.19041.906
00007FF9BAEE0000-00007FF9BAF02000 win32u.dll  	6.2.19041.1237
00007FF9BC150000-00007FF9BC27A000 RPCRT4.dll  	6.2.19041.1081
00007FF990B30000-00007FF99109E000 Qt5Widgets.dll	5.12.11.0
00007FF9BAD30000-00007FF9BAE3B000 gdi32full.dll	6.2.19041.1110
00007FF9BAE40000-00007FF9BAEDD000 msvcp_win.dll	6.2.19041.789
00007FF9BC720000-00007FF9BC84A000 ole32.dll   	6.2.19041.1202
00007FF9BB500000-00007FF9BB600000 ucrtbase.dll	6.2.19041.789
00007FF9BC570000-00007FF9BC711000 USER32.dll  	6.2.19041.1202
00007FF9BD200000-00007FF9BD555000 combase.dll 	6.2.19041.1202
00007FF9A7BC0000-00007FF9A7C82000 libkritaglobal.dll
00007FF9BB600000-00007FF9BBD3F000 SHELL32.dll 	6.2.19041.1202
00007FF990520000-00007FF990B24000 libkritaimage.dll
00007FF9A46B0000-00007FF9A479B000 libkritaresources.dll
00007FF9BBFC0000-00007FF9BC02B000 WS2_32.dll  	6.2.19041.546
00007FF98FC60000-00007FF990512000 libkritaui.dll
000000006FC40000-000000006FDA5000 libstdc++-6.dll
0000000064940000-0000000064955000 libwinpthread-1.dll	1.0.0.0
00007FF9B64D0000-00007FF9B64EF000 intl.dll    	0.19.0.0
00007FF9A59D0000-00007FF9A59E8000 NETAPI32.dll	6.2.19041.546
00007FF9B8D20000-00007FF9B8D3D000 MPR.dll     	6.2.19041.546
00007FF9B8700000-00007FF9B872F000 dwmapi.dll  	6.2.19041.746
00007FF9B83A0000-00007FF9B843E000 UxTheme.dll 	6.2.19041.1081
00007FF9A86C0000-00007FF9A86FB000 Qt5Xml.dll  	5.12.11.0
00007FF9B5510000-00007FF9B551E000 libkritaversion.dll
00007FF993220000-00007FF9933B7000 libfftw3.dll
00007FF9A8090000-00007FF9A80DE000 libHalf-2_5.dll
00007FF9A9DE0000-00007FF9A9DFF000 libkritacommand.dll
00007FF9A4670000-00007FF9A46A9000 libkritametadata.dll
00007FF98F920000-00007FF98FC52000 libkritapigment.dll
00007FF9A8190000-00007FF9A81B5000 libkritaplugin.dll
00007FF9938D0000-00007FF99393D000 libkritapsdutils.dll
00007FF9930C0000-00007FF99321F000 libkritawidgetutils.dll
00007FF9B8CD0000-00007FF9B8CDA000 VERSION.dll 	6.2.19041.546
00007FF9BAB90000-00007FF9BABBE000 USERENV.dll 	6.2.19041.572
00007FF9AFC50000-00007FF9AFC77000 WINMM.dll   	6.2.19041.546
00007FF9914E0000-00007FF991576000 libKF5CoreAddons.dll
00007FF994510000-00007FF994558000 Qt5Sql.dll  	5.12.11.0
00007FF99A780000-00007FF99A7B3000 libquazip5.dll
00007FF9A8070000-00007FF9A808D000 libkritastore.dll
00007FF994470000-00007FF9944AC000 libKF5Completion.dll
00007FF994590000-00007FF9945B9000 libKF5ConfigGui.dll
00007FF9938A0000-00007FF9938CA000 libKF5GuiAddons.dll
00007FF993860000-00007FF99389D000 libKF5ItemViews.dll
00007FF993080000-00007FF9930BE000 libpng16.dll
00007FF9913B0000-00007FF9914D9000 libKF5WidgetsAddons.dll
00007FF9AD760000-00007FF9AD770000 Qt5Concurrent.dll	5.12.11.0
00007FF9912B0000-00007FF9913A3000 Qt5Multimedia.dll	5.12.11.0
00007FF98F790000-00007FF98F91D000 Qt5Network.dll	5.12.11.0
00007FF992F80000-00007FF992FD5000 Qt5Svg.dll  	5.12.11.0
00007FF9BB320000-00007FF9BB476000 CRYPT32.dll 	6.2.19041.1202
00007FF9AA000000-00007FF9AA00E000 libkritacolor.dll
00007FF98F590000-00007FF98F789000 libkritaflake.dll
00007FF993050000-00007FF993071000 libkritaimpex.dll
00007FF98F520000-00007FF98F58B000 libkritalibbrush.dll
00007FF991270000-00007FF9912AD000 libkritaresourcewidgets.dll
00007FF98F430000-00007FF98F520000 libkritawidgets.dll
00007FF9A4650000-00007FF9A4662000 iconv.dll
00007FF99EAB0000-00007FF99EAD0000 libzlib.dll 	1.2.11.0
00007FF992F50000-00007FF992F7D000 libKF5WindowSystem.dll
00007FF98F3D0000-00007FF98F428000 Qt5PrintSupport.dll	5.12.11.0
00007FF9BBEC0000-00007FF9BBF9A000 comdlg32.dll	6.2.19041.906
00007FF9BCF20000-00007FF9BCFCE000 shcore.dll  	6.2.19041.1023
00007FF9BC030000-00007FF9BC085000 SHLWAPI.dll 	6.2.19041.1023
00007FF98F110000-00007FF98F3CA000 libcrypto-1_1-x64.dll	1.1.1.12
00007FF9BA0A0000-00007FF9BA0DB000 IPHLPAPI.DLL	6.2.19041.546
00007FF9BA0E0000-00007FF9BA1AC000 DNSAPI.dll  	6.2.19041.1151
00007FF98F080000-00007FF98F10E000 libssl-1_1-x64.dll	1.1.1.12
00007FF9BA5C0000-00007FF9BA5CC000 CRYPTBASE.DLL	6.2.19041.546
00007FF9BA1B0000-00007FF9BA1BC000 NETUTILS.DLL	6.2.19041.546
00007FF9A9E00000-00007FF9A9EB0000 COMCTL32.dll	5.82.19041.1110
00007FF99CC20000-00007FF99CCAF000 WINSPOOL.DRV	6.2.19041.1237
00007FF9BA1C0000-00007FF9BA202000 LOGONCLI.DLL	6.2.19041.610
00007FF9AB9E0000-00007FF9ABA08000 SRVCLI.DLL  	6.2.19041.546
00007FF9B0420000-00007FF9B0439000 SAMCLI.DLL  	6.2.19041.546
00007FF9BCEF0000-00007FF9BCF20000 IMM32.DLL   	6.2.19041.546
00007FF9BC8B0000-00007FF9BC8B8000 NSI.dll     	6.2.19041.610
00007FF9BAC10000-00007FF9BAC2F000 profapi.dll 	6.2.19041.844
00007FF9B8DD0000-00007FF9B9560000 windows.storage.dll	6.2.19041.1202
00007FF9BA650000-00007FF9BA67C000 Wldp.dll    	6.2.19041.662
000000006A880000-000000006AA37000 qwindows.dll	5.12.11.0
00007FF9BBDF0000-00007FF9BBEBD000 OLEAUT32.dll	6.2.19041.985
00007FF9B6690000-00007FF9B66A4000 WTSAPI32.dll	6.2.19041.546
00007FF9B9570000-00007FF9B9582000 kernel.appcore.dll	6.2.19041.546
00007FF9BAFC0000-00007FF9BB043000 bcryptPrimitives.dll	6.2.19041.1202
00007FF986140000-00007FF98630E000 d3d9.dll    	6.2.19041.928
00007FF9B95C0000-00007FF9B96B4000 dxgi.dll    	6.2.19041.964
00007FF9BC420000-00007FF9BC535000 MSCTF.dll   	6.2.19041.1202
00007FF986010000-00007FF986135000 opengl32.dll	6.2.19041.1081
00007FF985FE0000-00007FF98600C000 GLU32.dll   	6.2.19041.1081
00007FF9BBD40000-00007FF9BBDE9000 clbcatq.dll 	2001.12.10941.16384
00007FF985FB0000-00007FF985FDB000 atig6pxx.dll	27.20.21003.8013
00007FF981380000-00007FF98416D000 atio6axx.dll	27.20.21003.8013
00007FF9BC960000-00007FF9BCDD2000 SETUPAPI.dll	6.2.19041.1237
00007FF9BB480000-00007FF9BB4CE000 cfgmgr32.dll	6.2.19041.1151
00007FF985F80000-00007FF985FA4000 dxva2.dll   	6.2.19041.1
00007FF9BB4D0000-00007FF9BB4F7000 bcrypt.dll  	6.2.19041.1023
00007FF985F40000-00007FF985F7C000 atig6txx.dll	27.20.21003.8013
00007FF985D80000-00007FF985F33000 atiadlxx.dll	27.20.21003.8013
00007FF9BD560000-00007FF9BD568000 PSAPI.DLL   	6.2.19041.546
00007FF9B88E0000-00007FF9B89D6000 PROPSYS.dll 	7.0.19041.1023
00007FF9A5B70000-00007FF9A5BB9000 pdh.dll     	6.2.19041.1202
00007FF9BAA00000-00007FF9BAA34000 DEVOBJ.dll  	6.2.19041.1151
00007FF9BACD0000-00007FF9BAD30000 WINTRUST.dll	6.2.19041.1237
00007FF9BA840000-00007FF9BA852000 MSASN1.dll  	6.2.19041.546
00007FF9B52F0000-00007FF9B532B000 dxcore.dll  	6.2.19041.546
00007FF9A85F0000-00007FF9A8600000 libEGL.DLL  	5.12.11.0
00007FF98ECA0000-00007FF98F079000 libGLESv2.dll	5.12.11.0
00007FF9B75E0000-00007FF9B77C6000 dcomp.dll   	6.2.19041.1237
00007FF9B81D0000-00007FF9B8260000 apphelp.dll 	6.2.19041.928
00007FF98EA50000-00007FF98EC93000 wintab32.dll	1.0.5.10
00007FF99B830000-00007FF99BAA0000 Wacom_Tablet.dll	6.3.40.2
00007FF9B6DB0000-00007FF9B7014000 d3d11.dll   	6.2.19041.1202
00007FF9B0090000-00007FF9B026B000 aticfx64.dll	27.20.21003.8013
00007FF9AFB70000-00007FF9AFBA8000 atiuxp64.dll	27.20.21003.8013
00007FF9ADBE0000-00007FF9AFB3D000 atidxx64.dll	27.20.21003.8013
00007FF9AC140000-00007FF9AC170000 amdihk64.dll	2.0.0.1788
000000006CC40000-000000006CC74000 qwindowsvistastyle.dll	5.12.11.0
0000000070700000-0000000070714000 qsvgicon.dll	5.12.11.0
00007FF99E2E0000-00007FF99E31E000 dataexchange.dll	6.2.19041.1151
00007FF9B3A60000-00007FF9B3C61000 twinapi.appcore.dll	6.2.19041.964
00007FF992E10000-00007FF992E3C000 exchndl.dll 	0.9.4.0
00007FF98E9B0000-00007FF98EA42000 mgwhelp.dll 	0.9.4.0
00007FF98E7C0000-00007FF98E9A3000 dbghelp.dll 	10.0.19041.685
00007FF9A40C0000-00007FF9A40EC000 dbgcore.DLL 	6.2.19041.789
00007FF9BA5A0000-00007FF9BA5B8000 CRYPTSP.dll 	6.2.19041.546
00007FF9B9D30000-00007FF9B9D64000 rsaenh.dll  	6.2.19041.1052
00007FF9AB4B0000-00007FF9AB733000 dwrite.dll  	6.2.19041.1165
00007FF993030000-00007FF99304A000 kimg_hdr.dll
00007FF98E7A0000-00007FF98E7B1000 kimg_kra.dll
00007FF98E750000-00007FF98E792000 libKF5Archive.dll
0000000063CC0000-0000000063CED000 liblzma.dll 	5.2.5.0
00007FF98E730000-00007FF98E741000 kimg_ora.dll
00007FF98E710000-00007FF98E723000 kimg_pcx.dll
00007FF98E6F0000-00007FF98E703000 kimg_pic.dll
00007FF98E6D0000-00007FF98E6E1000 kimg_psd.dll
00007FF98E6B0000-00007FF98E6C2000 kimg_ras.dll
00007FF98E690000-00007FF98E6A4000 kimg_rgb.dll
00007FF98E670000-00007FF98E681000 kimg_tga.dll
00007FF98E650000-00007FF98E66E000 kimg_xcf.dll
0000000061F00000-0000000061F13000 qgif.dll    	5.12.11.0
000000006C600000-000000006C615000 qicns.dll   	5.12.11.0
000000006E840000-000000006E853000 qico.dll    	5.12.11.0
00000000626C0000-000000006272E000 qjpeg.dll   	5.12.11.0
0000000061B00000-0000000061B11000 qsvg.dll    	5.12.11.0
000000006CF00000-000000006CF14000 qtiff.dll   	5.12.11.0
00007FF98E5D0000-00007FF98E647000 libtiff.dll
00007FF98E540000-00007FF98E5C8000 libjpeg-62.dll
0000000066AC0000-0000000066AD1000 qwbmp.dll   	5.12.11.0
00000000675C0000-0000000067652000 qwebp.dll   	5.12.11.0
00007FF9AD3A0000-00007FF9AD499000 textinputframework.dll	6.2.19041.1202
00007FF9B7B50000-00007FF9B7EAE000 CoreUIComponents.dll	6.2.19041.546
00007FF9B7EB0000-00007FF9B7FA2000 CoreMessaging.dll	6.2.19041.746
00007FF9B99C0000-00007FF9B99F3000 ntmarta.dll 	6.2.19041.546
00007FF9B66B0000-00007FF9B6804000 wintypes.dll	6.2.19041.1202
00007FF9A88F0000-00007FF9A8956000 Oleacc.dll  	7.2.19041.746
00007FF9A8DA0000-00007FF9A9096000 UIAutomationCore.dll	7.2.19041.1023
00007FF9BAAE0000-00007FF9BAB82000 sxs.dll     	6.2.19041.546
00007FF98E520000-00007FF98E535000 krita_shape_image.dll
00007FF98E4C0000-00007FF98E519000 krita_shape_paths.dll
00007FF98D250000-00007FF98DE71000 kritalcmsengine.dll
00007FF98E4A0000-00007FF98E4B9000 liblcms2_fast_float.dll
00007FF98E440000-00007FF98E499000 liblcms2.dll
00007FF98E400000-00007FF98E43A000 krita_colorspaces_extensions.dll
00007FF98E3E0000-00007FF98E3F8000 kritaasccdl.dll
00007FF98E3A0000-00007FF98E3D3000 kritablurfilter.dll
00007FF98E350000-00007FF98E39C000 kritacolorsfilters.dll
00007FF98E330000-00007FF98E349000 kritaconvertheighttonormalmap.dll
00007FF98E310000-00007FF98E325000 kritaconvolutionfilters.dll
00007FF98E2F0000-00007FF98E304000 kritadodgeburn.dll
00007FF98E2D0000-00007FF98E2E9000 kritaedgedetection.dll
00007FF98E2B0000-00007FF98E2C3000 kritaembossfilter.dll
00007FF98E290000-00007FF98E2A4000 kritaexample.dll
00007FF98E270000-00007FF98E28A000 kritaextensioncolorsfilters.dll
00007FF98E250000-00007FF98E269000 kritafastcolortransferfilter.dll
00007FF98E220000-00007FF98E245000 kritagaussianhighpassfilter.dll
00007FF98E1F0000-00007FF98E214000 kritagradientmap.dll
00007FF98E1B0000-00007FF98E1E4000 kritahalftone.dll
00007FF98E180000-00007FF98E1AB000 kritaimageenhancement.dll
00007FF98E160000-00007FF98E17D000 kritaindexcolors.dll
00007FF98E120000-00007FF98E153000 kritalevelfilter.dll
00007FF98E100000-00007FF98E119000 kritanoisefilter.dll
00007FF98E0E0000-00007FF98E0F6000 kritanormalize.dll
00007FF98E0C0000-00007FF98E0D7000 kritaoilpaintfilter.dll
00007FF98E090000-00007FF98E0B3000 kritapalettize.dll
00007FF98E060000-00007FF98E085000 kritaphongbumpmap.dll
00007FF98E040000-00007FF98E057000 kritapixelizefilter.dll
00007FF98E020000-00007FF98E037000 kritaposterize.dll
00007FF98E000000-00007FF98E014000 kritaraindropsfilter.dll
00007FF98DFE0000-00007FF98DFF9000 kritarandompickfilter.dll
00007FF98DFC0000-00007FF98DFD7000 kritaroundcornersfilter.dll
00007FF98DFA0000-00007FF98DFB5000 kritasmalltilesfilter.dll
00007FF98DF80000-00007FF98DF9B000 kritathreshold.dll
00007FF98DF50000-00007FF98DF73000 kritaunsharpfilter.dll
00007FF98DF30000-00007FF98DF4B000 kritawavefilter.dll
00007FF98DF10000-00007FF98DF28000 kritacolorgenerator.dll
00007FF98DEE0000-00007FF98DF08000 kritagradientgenerator.dll
00007FF98DEB0000-00007FF98DED4000 kritamultigridpatterngenerator.dll
00007FF98D220000-00007FF98D245000 kritapatterngenerator.dll
00007FF98D160000-00007FF98D21C000 kritascreentonegenerator.dll
00007FF98D080000-00007FF98D15C000 kritaseexprgenerator.dll
00007FF98D060000-00007FF98D07E000 kritasimplexnoisegenerator.dll
00007FF98D000000-00007FF98D05F000 kritacolorsmudgepaintop.dll
00007FF98CEB0000-00007FF98CFF1000 libkritalibpaintop.dll
00007FF98CE80000-00007FF98CEA9000 kritacurvepaintop.dll
00007FF98CE10000-00007FF98CE74000 kritadefaultpaintops.dll
00007FF98CDD0000-00007FF98CE07000 kritadeformpaintop.dll
00007FF98CDA0000-00007FF98CDCD000 kritaexperimentpaintop.dll
00007FF98CD70000-00007FF98CD9A000 kritafilterop.dll
00007FF98CD40000-00007FF98CD66000 kritagridpaintop.dll
00007FF98CD00000-00007FF98CD34000 kritahairypaintop.dll
00007FF98CCC0000-00007FF98CCF9000 kritahatchingpaintop.dll
00007FF98CC50000-00007FF98CCBC000 kritamypaintop.dll
00007FF98CC20000-00007FF98CC42000 libmypaint.dll
00007FF98CC00000-00007FF98CC1C000 libjson-c.dll
00007FF98CBD0000-00007FF98CBF8000 kritaparticlepaintop.dll
00007FF98CBA0000-00007FF98CBC6000 kritaroundmarkerpaintop.dll
00007FF98CB70000-00007FF98CB9E000 kritasketchpaintop.dll
00007FF98CB30000-00007FF98CB6F000 kritaspraypaintop.dll
00007FF98CB00000-00007FF98CB2E000 kritatangentnormalpaintop.dll
00007FF98CAA0000-00007FF98CAF2000 krita_flaketools.dll
00007FF98CA70000-00007FF98CA9C000 krita_karbontools.dll
00007FF98CA30000-00007FF98CA6B000 krita_tool_svgtext.dll
00007FF98C9D0000-00007FF98CA26000 kritaassistanttool.dll
00007FF98C7D0000-00007FF98C86A000 kritadefaulttools.dll
00007FF98C9B0000-00007FF98C9CB000 libkritabasicflakes.dll
00007FF98C670000-00007FF98C705000 kritaselectiontools.dll
00007FF98C7A0000-00007FF98C7CE000 kritatoolSmartPatch.dll
00007FF98C770000-00007FF98C79F000 kritatoolcrop.dll
00007FF98C750000-00007FF98C768000 kritatooldyna.dll
00007FF98C640000-00007FF98C667000 kritatoollazybrush.dll
00007FF98C620000-00007FF98C637000 kritatoolpolygon.dll
00007FF98C590000-00007FF98C5A6000 kritatoolpolyline.dll
00007FF98C2A0000-00007FF98C3D0000 kritatooltransform.dll
00007FF98BAA0000-00007FF98BB58000 kritaanimationdocker.dll
00007FF98C570000-00007FF98C589000 kritaarrangedocker.dll
00007FF98C530000-00007FF98C561000 kritaartisticcolorselector.dll
00007FF98BA70000-00007FF98BA93000 kritachanneldocker.dll
00007FF98BA00000-00007FF98BA65000 kritacolorselectorng.dll
00007FF98B9D0000-00007FF98B9F4000 kritacompositiondocker.dll
00007FF98B9B0000-00007FF98B9C6000 kritadigitalmixer.dll
00007FF98B980000-00007FF98B9A6000 kritagamutmask.dll
00007FF98B960000-00007FF98B97E000 kritagriddocker.dll
00007FF98B940000-00007FF98B95B000 kritahistogramdocker.dll
00007FF98B920000-00007FF98B940000 kritahistorydocker.dll
00007FF98B8D0000-00007FF98B914000 kritalayerdocker.dll
00007FF98B8B0000-00007FF98B8CA000 kritalogdocker.dll
00007FF98B880000-00007FF98B8AA000 kritalutdocker.dll
00007FF98B720000-00007FF98B872000 libOpenColorIO.dll
00007FF98B700000-00007FF98B71F000 kritaoverviewdocker.dll
00007FF98B6E0000-00007FF98B6FE000 kritapalettedocker.dll
00007FF98B6C0000-00007FF98B6D3000 kritapatterndocker.dll
00007FF98B6A0000-00007FF98B6B4000 kritapresetdocker.dll
00007FF98B680000-00007FF98B69A000 kritapresethistory.dll
00007FF98B630000-00007FF98B679000 kritarecorderdocker.dll
00007FF98B600000-00007FF98B621000 kritasmallcolorselector.dll
00007FF98B5E0000-00007FF98B5FD000 kritasnapshotdocker.dll
00007FF98B5C0000-00007FF98B5DC000 kritaspecificcolorselector.dll
00007FF98B560000-00007FF98B5BA000 kritastoryboarddocker.dll
00007FF98B540000-00007FF98B558000 kritasvgcollectiondocker.dll
00007FF98B520000-00007FF98B53C000 kritatasksetdocker.dll
00007FF98B500000-00007FF98B51E000 kritatouchdocker.dll
00007FF98B0E0000-00007FF98B0F9000 Qt5QuickWidgets.dll	5.12.11.0
00007FF98AFE0000-00007FF98B0D8000 libkritaqml.dll
00007FF989EB0000-00007FF98A29F000 Qt5Quick.dll	5.12.11.0
00007FF98B100000-00007FF98B4F8000 Qt5Qml.dll  	5.12.11.0
00007FF98AFB0000-00007FF98AFD6000 kritaexif.dll
00007FF98AD30000-00007FF98AFA6000 libexiv2.dll
00007FF98AC00000-00007FF98AC36000 libexpat.dll
00007FF98ABD0000-00007FF98ABF2000 kritaiptc.dll
00007FF98ABA0000-00007FF98ABC1000 kritaxmp.dll
000000006D9C0000-000000006DACD000 qsqlite.dll 	5.12.11.0
0000000067580000-00000000675A2000 qgenericbearer.dll	5.12.11.0
00007FF9B3DA0000-00007FF9B3DB7000 dhcpcsvc6.DLL	6.2.19041.546
00007FF9B28D0000-00007FF9B28ED000 dhcpcsvc.DLL	6.2.19041.546
00007FF99DAF0000-00007FF99DB14000 edputil.dll 	6.2.19041.546
00007FF98AB80000-00007FF98AB98000 kritabuginfo.dll
00007FF98AB60000-00007FF98AB7C000 kritaclonesarray.dll
00007FF98AB30000-00007FF98AB51000 kritacolorrange.dll
00007FF98AB10000-00007FF98AB2A000 kritacolorspaceconversion.dll
00007FF98AAF0000-00007FF98AB0F000 kritadbexplorer.dll
00007FF98AAD0000-00007FF98AAEF000 kritaimagesplit.dll
00007FF98AAB0000-00007FF98AAC5000 kritalayergroupswitcher.dll
00007FF98AA80000-00007FF98AAA5000 kritalayersplit.dll
00007FF98AA50000-00007FF98AA7C000 kritametadataeditor.dll
00007FF98A740000-00007FF98A75C000 kritamodifyselection.dll
00007FF98A710000-00007FF98A732000 kritaoffsetimage.dll
00007FF98A6F0000-00007FF98A702000 kritaqmic.dll
00007FF98A6B0000-00007FF98A6F0000 libkritaqmicinterface.dll
00007FF98A640000-00007FF98A6A6000 kritaresourcemanager.dll
00007FF98A620000-00007FF98A63D000 kritarotateimage.dll
00007FF98A5F0000-00007FF98A612000 kritaseparatechannels.dll
00007FF98A5D0000-00007FF98A5E5000 kritashearimage.dll
00007FF98A5B0000-00007FF98A5CB000 kritawaveletdecompose.dll
00007FF98A580000-00007FF98A5AE000 kritapykrita.dll
00007FF98A4D0000-00007FF98A573000 libkritalibkis.dll
00007FF989A80000-00007FF989EAC000 python38.dll	3.8.1150.1013
00007FF98A4B0000-00007FF98A4C5000 VCRUNTIME140.dll	14.16.27012.6
00007FF98A430000-00007FF98A4AA000 krita.pyd
0000000069180000-00000000691A5000 sip.cp38-win_amd64.pyd
000000006B880000-000000006BB09000 QtCore.pyd
0000000066300000-0000000066597000 QtGui.pyd
0000000065400000-00000000659EE000 QtWidgets.pyd
0000000061640000-0000000061685000 QtXml.pyd
00007FF98A410000-00007FF98A427000 _bz2.pyd    	3.8.1150.1013
00007FF98A3D0000-00007FF98A410000 _lzma.pyd   	3.8.1150.1013
00007FF98A3A0000-00007FF98A3CD000 _elementtree.pyd	3.8.1150.1013
00007FF989A40000-00007FF989A71000 pyexpat.pyd 	3.8.1150.1013
00007FF9A8060000-00007FF9A806D000 _hashlib.pyd	3.8.1150.1013
00007FF9896F0000-00007FF989A32000 libcrypto-1_1.dll	1.1.1.4
00007FF98A380000-00007FF98A396000 _socket.pyd 	3.8.1150.1013
00007FF9A4580000-00007FF9A4589000 select.pyd  	3.8.1150.1013
00007FF9896D0000-00007FF9896F0000 _ssl.pyd    	3.8.1150.1013
00007FF989620000-00007FF9896CB000 libssl-1_1.dll	1.1.1.4
00007FF989600000-00007FF989612000 _asyncio.pyd	3.8.1150.1013
00007FF99EA80000-00007FF99EA8D000 _overlapped.pyd	3.8.1150.1013
00007FF9BA3B0000-00007FF9BA41A000 mswsock.dll 	6.2.19041.546
000000001AAE0000-000000001AAEF000 qtquick2plugin.dll	5.12.11.0
00007FF989540000-00007FF9895F7000 kritasketchplugin.dll
00007FF967E90000-00007FF967EA7000 napinsp.dll 	6.2.19041.546
00007FF95B900000-00007FF95B91B000 pnrpnsp.dll 	6.2.19041.546
00007FF9B5690000-00007FF9B56A5000 wshbth.dll  	6.2.19041.546
00007FF9B61A0000-00007FF9B61BD000 NLAapi.dll  	6.2.19041.1151
00007FF95B8E0000-00007FF95B8F2000 winrnr.dll  	6.2.19041.546
00007FF9B2900000-00007FF9B290A000 rasadhlp.dll	6.2.19041.546
00007FF9AD790000-00007FF9AD80F000 fwpuclnt.dll	6.2.19041.1081
00007FF9892D0000-00007FF98953F000 d3dcompiler_43.dll	9.29.952.3111
00007FF9892B0000-00007FF9892C1000 kritakraimport.dll
00007FF989230000-00007FF9892AC000 libkritalibkra.dll
00007FF988FB0000-00007FF989024000 symsrv.dll  	10.0.19041.685
00007FF9AA480000-00007FF9AA950000 wininet.dll 	11.0.19041.1202
00007FF9ABE90000-00007FF9AC140000 iertutil.dll	11.0.19041.1081
00007FF9BABC0000-00007FF9BABF1000 SspiCli.dll 	6.2.19041.906
00007FF99A890000-00007FF99A8A7000 ondemandconnroutehelper.dll	6.2.19041.546
00007FF9B4E70000-00007FF9B4F78000 winhttp.dll 	6.2.19041.1151
00007FF9B3DF0000-00007FF9B3DFB000 WINNSI.DLL  	6.2.19041.546
00007FF9ABA10000-00007FF9ABBFB000 urlmon.dll  	11.0.19041.1237

Windows 6.2.9200
DrMingw 0.9.4
Comment 1 Ahab Greybeard 2021-10-05 18:23:39 UTC
I can confirm this for the 5.0.0-beta1 and the Oct 05 5.1.0-prealpha (git ad83067) appimages, after importing the attached brush preset (pmc) using the resources manager and then selecting it in the Brush Presets docker.

The terminal shows Segmentation fault.
The only log entry is KRITA DID NOT CLOSE CORRECTLY.

If I then try to run 5.0.0 or the 5.1.0-prealpha, there is no problem.

There is no crash with the 4.4.8 appimage and the brush preset can be used with no problems there.

If 4.4.8 is run and pmc is used, then running 5.0.0 or 5.1.0 will open normally but will crash if a new file is made or a file is opened.
In the kritarc configuration file, the LastPreset= and the presethistory= entries must have 'pmc' removed and replaced by the name of another brush preset to prevent those crashes.
Comment 2 Halla Rempt 2021-10-06 09:37:45 UTC
Is this a preset and should the png be renamed to .kpp for testing?
Comment 3 til.schmitter 2021-10-06 09:54:14 UTC
the attachment shouldn't be a png, just pmc.kpp
Comment 4 Halla Rempt 2021-10-06 09:55:56 UTC
Hm, it isn't -- it's pmc.png, and it doesn't work as a preset.
Comment 5 Ahab Greybeard 2021-10-06 10:01:18 UTC
At the start of the bug report ('broken brush' link), if I do right-click and Save Link As then my browser offers to download it as pmc.kpp, and it does.

I think this is one of those browser mimetype interpretation things.
I had no problem using it as a .kpp file in 4.4.8.
Comment 6 Halla Rempt 2021-10-06 10:04:36 UTC
The weird thing is, I do get a crash if I try to use the png file as a brush tip...
Comment 7 til.schmitter 2021-10-06 10:06:11 UTC
i'll send it to you via email once i get home if there's no other way until then
Comment 8 Halla Rempt 2021-10-06 10:13:26 UTC
I've used a different browser now :-)
Comment 9 Halla Rempt 2021-10-06 10:25:34 UTC
Okay, the text brush is completely broken. I cannot even create a new one.
Comment 10 Halla Rempt 2021-10-06 10:33:08 UTC
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007ffff5449859 in __GI_abort () at abort.c:79
#2  0x00007ffff58be455 in QMessageLogger::fatal(char const*, ...) const () from /home/halla/dev/deps/lib/libQt5Core.so.5
#3  0x00007ffff58bd827 in qt_assert(char const*, char const*, int) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#4  0x00007ffff6b5d9b2 in KoResource::setMD5Sum (this=0x555559946970, md5sum=...) at /home/halla/dev/krita/libs/resources/KoResource.cpp:159
#5  0x00007ffff6bf106b in KoResource::md5Sum (this=0x555559946970, generateIfEmpty=generateIfEmpty@entry=true) at /home/halla/dev/krita/libs/resources/KoResource.cpp:151
#6  0x00007fffcbf3c533 in KisBrushOptionProperties::writeOptionSettingImpl (this=0x5555590f1498, setting=setting@entry=0x55555a2e3bc0) at /home/halla/dev/deps/include/QtCore/qsharedpointer_impl.h:312
#7  0x00007fffcbf3a982 in KisPaintopPropertiesCanvasResourcesBase::writeOptionSetting<KisPinnedSharedPtr<KisPropertiesConfiguration> > (settings=..., this=<optimized out>)
    at /usr/include/c++/9/bits/atomic_base.h:318
#8  KisBrushOptionWidget::writeOptionSetting (this=0x5555590f1470, settings=...) at /home/halla/dev/krita/plugins/paintops/libpaintop/kis_brush_option_widget.cpp:53
#9  0x00007ffff795a506 in KisPaintOpOption::startWriteOptionSetting (this=0x5555590f1470, setting=...) at /home/halla/dev/krita/libs/ui/kis_paintop_option.cpp:75
#10 0x00007ffff795ea46 in KisPaintOpSettingsWidget::writeConfiguration (this=<optimized out>, config=...) at /usr/include/c++/9/bits/atomic_base.h:318
#11 0x00007ffff6ee9a29 in KisPaintOpConfigWidget::writeConfigurationSafe (this=this@entry=0x555558f570e0, config=...) at /usr/include/c++/9/bits/atomic_base.h:318
#12 0x00007ffff7946cf3 in KisPaintopBox::slotGuiChangedCurrentPreset (this=0x55555959f070) at /usr/include/c++/9/bits/atomic_base.h:318
#13 0x00007ffff7727dd8 in KisPaintopBox::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>)
    at /home/halla/dev/b-krita/libs/ui/kritaui_autogen/EWIEGA46WW/moc_kis_paintop_box.cpp:265
#14 0x00007ffff5aed0d0 in QMetaObject::activate(QObject*, int, int, void**) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#15 0x00007ffff6e5b580 in KisConfigWidget::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>)
    at /home/halla/dev/b-krita/libs/image/kritaimage_autogen/EWIEGA46WW/moc_kis_config_widget.cpp:92
#16 0x00007ffff5aed0d0 in QMetaObject::activate(QObject*, int, int, void**) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#17 0x00007ffff6ad2e9d in KisSignalCompressor::tryEmitSignalSafely (this=this@entry=0x555558f57110) at /home/halla/dev/krita/libs/global/kis_signal_compressor.cpp:195
#18 0x00007ffff6ad30c8 in KisSignalCompressor::start (this=0x555558f57110) at /home/halla/dev/krita/libs/global/kis_signal_compressor.cpp:115
#19 0x00007ffff6fc83d9 in KisConfigWidget::slotConfigChanged (this=<optimized out>) at /home/halla/dev/krita/libs/image/kis_config_widget.cpp:26
#20 0x00007ffff6e5b51e in KisConfigWidget::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>)
    at /home/halla/dev/b-krita/libs/image/kritaimage_autogen/EWIEGA46WW/moc_kis_config_widget.cpp:96
#21 0x00007ffff5aed0d0 in QMetaObject::activate(QObject*, int, int, void**) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#22 0x00007ffff6e5b528 in KisConfigWidget::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>)
    at /home/halla/dev/b-krita/libs/image/kritaimage_autogen/EWIEGA46WW/moc_kis_config_widget.cpp:93
#23 0x00007ffff5aed0d0 in QMetaObject::activate(QObject*, int, int, void**) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#24 0x00007fffcbf3b352 in KisBrushOptionWidget::brushChanged (this=0x5555590f1470) at /home/halla/dev/krita/plugins/paintops/libpaintop/kis_brush_option_widget.cpp:72
#25 0x00007ffff5aed0d0 in QMetaObject::activate(QObject*, int, int, void**) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#26 0x00007ffff5aed0d0 in QMetaObject::activate(QObject*, int, int, void**) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#27 0x00007ffff65eaa85 in QButtonGroup::buttonClicked(int) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#28 0x00007ffff65e64d9 in ?? () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#29 0x00007ffff65e78c3 in ?? () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#30 0x00007ffff65e7a85 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#31 0x00007ffff66db28e in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#32 0x00007ffff6533a5e in QWidget::event(QEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#33 0x00007ffff66db338 in QToolButton::event(QEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#34 0x00007ffff64f10d6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#35 0x00007ffff64fa897 in QApplication::notify(QObject*, QEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#36 0x00007ffff7c4acfd in KisApplication::notify (this=<optimized out>, receiver=0x5555597bbde0, event=0x7fffffffcaa0) at /home/halla/dev/krita/libs/ui/KisApplication.cpp:687
#37 0x00007ffff5ac16ba in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#38 0x00007ffff64f9ac7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#39 0x00007ffff654fb2d in ?? () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#40 0x00007ffff6552b64 in ?? () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#41 0x00007ffff64f10d6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#42 0x00007ffff64fa5d0 in QApplication::notify(QObject*, QEvent*) () from /home/halla/dev/deps/lib/libQt5Widgets.so.5
#43 0x00007ffff7c4acfd in KisApplication::notify (this=<optimized out>, receiver=0x555556609950, event=0x7fffffffcfa0) at /home/halla/dev/krita/libs/ui/KisApplication.cpp:687
#44 0x00007ffff5ac16ba in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /home/halla/dev/deps/lib/libQt5Core.so.5
#45 0x00007ffff5eb2f53 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /home/halla/dev/deps/lib/libQt5Gui.so.5
#46 0x00007ffff5eb488b in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /home/halla/dev/deps/lib/libQt5Gui.so.5
#47 0x00007ffff5e8e93c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/halla/dev/deps/lib/libQt5Gui.so.5
Comment 11 Dmitry Kazakov 2021-10-07 08:23:06 UTC
Git commit ab79babd47cb40a37a713eb9eef7f832167af0a9 by Dmitry Kazakov.
Committed on 07/10/2021 at 08:22.
Pushed by dkazakov into branch 'master'.

Fix crash when selecting text brush

The patch does several fixes:

1) Removes KoEphemeralResource CRTP class and replaces it with two virtual
   functions in KoResource: isEphemeral() and isSerializable() to distincs
   between the two mixed uses of KoEphemeralResource. Non-serializable
   resource is the one that has no load/save() methods. Ephemeral resource
   is non-serializable, but also has no md5sum, therefore cannot be stored
   in the resources database.

   The main disadvantage of CRTP pattern is that IDE cannot parse such
   hierarchies, that is, such classes are not included into Ctrl+Shift+T
   report.

2) Removes `requiredBrushFilesList` .kpp tag that was used for the masking
   brushes in Krita 4.x. Modern Krita can fetch such list itself using
   KoResource::requiredResources().

M  +21   -3    libs/brush/kis_abr_brush.cpp
M  +5    -2    libs/brush/kis_abr_brush.h
M  +20   -2    libs/brush/kis_auto_brush.cpp
M  +5    -2    libs/brush/kis_auto_brush.h
M  +18   -1    libs/brush/kis_text_brush.cpp
M  +4    -3    libs/brush/kis_text_brush.h
M  +0    -5    libs/image/brushengine/KisPaintopSettingsIds.cpp
M  +0    -4    libs/image/brushengine/KisPaintopSettingsIds.h
M  +7    -16   libs/image/brushengine/kis_paintop_preset.cpp
M  +0    -1    libs/image/kis_gradient_painter.cc
M  +20   -2    libs/image/kis_psd_layer_style.cpp
M  +5    -2    libs/image/kis_psd_layer_style.h
D  +0    -54   libs/resources/KoEphemeralResource.h
M  +14   -0    libs/resources/KoResource.cpp
M  +26   -0    libs/resources/KoResource.h
M  +0    -18   plugins/paintops/libpaintop/KisMaskingBrushOptionProperties.cpp
M  +1    -24   plugins/paintops/libpaintop/kis_brush_option.cpp

https://invent.kde.org/graphics/krita/commit/ab79babd47cb40a37a713eb9eef7f832167af0a9
Comment 12 Dmitry Kazakov 2021-10-07 09:25:56 UTC
Git commit 0f12de8af2493fe9a95fe5ced2d057d9f4216373 by Dmitry Kazakov.
Committed on 07/10/2021 at 09:25.
Pushed by dkazakov into branch 'krita/5.0'.

Fix crash when selecting text brush

The patch does several fixes:

1) Removes KoEphemeralResource CRTP class and replaces it with two virtual
   functions in KoResource: isEphemeral() and isSerializable() to distincs
   between the two mixed uses of KoEphemeralResource. Non-serializable
   resource is the one that has no load/save() methods. Ephemeral resource
   is non-serializable, but also has no md5sum, therefore cannot be stored
   in the resources database.

   The main disadvantage of CRTP pattern is that IDE cannot parse such
   hierarchies, that is, such classes are not included into Ctrl+Shift+T
   report.

2) Removes `requiredBrushFilesList` .kpp tag that was used for the masking
   brushes in Krita 4.x. Modern Krita can fetch such list itself using
   KoResource::requiredResources().

M  +21   -3    libs/brush/kis_abr_brush.cpp
M  +5    -2    libs/brush/kis_abr_brush.h
M  +20   -2    libs/brush/kis_auto_brush.cpp
M  +5    -2    libs/brush/kis_auto_brush.h
M  +18   -1    libs/brush/kis_text_brush.cpp
M  +4    -3    libs/brush/kis_text_brush.h
M  +0    -5    libs/image/brushengine/KisPaintopSettingsIds.cpp
M  +0    -4    libs/image/brushengine/KisPaintopSettingsIds.h
M  +7    -16   libs/image/brushengine/kis_paintop_preset.cpp
M  +0    -1    libs/image/kis_gradient_painter.cc
M  +20   -2    libs/image/kis_psd_layer_style.cpp
M  +5    -2    libs/image/kis_psd_layer_style.h
D  +0    -54   libs/resources/KoEphemeralResource.h
M  +14   -0    libs/resources/KoResource.cpp
M  +26   -0    libs/resources/KoResource.h
M  +0    -18   plugins/paintops/libpaintop/KisMaskingBrushOptionProperties.cpp
M  +1    -24   plugins/paintops/libpaintop/kis_brush_option.cpp

https://invent.kde.org/graphics/krita/commit/0f12de8af2493fe9a95fe5ced2d057d9f4216373
Comment 13 Halla Rempt 2021-10-08 08:31:48 UTC
*** Bug 443451 has been marked as a duplicate of this bug. ***